Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex
Class DivInGrammarState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.ExpressionState
                  com.sun.msv.reader.trex.DivInGrammarState

All Implemented Interfaces:
  org.xml.sax.ContentHandler, ExpressionOwner

Direct Known Subclasses:
  GrammarState

public class DivInGrammarState
extends ExpressionState
implements ExpressionOwner

Used to parse merged grammars. Also <div> element in the grammar element (of RELAX NG). DivInGrammarState itself should not be a ExpressionState. However, GrammarState, which is a derived class of this class, is a ExpressionState. Therefore this class has to extend ExpressionState.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`DivInGrammarState()`

Method Summary
`void` | `onEndChild(Expression exp)`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DivInGrammarState

    public DivInGrammarState()

Method Detail

### onEndChild

    public void onEndChild(Expression exp)

  Specified by:
    `onEndChild` in interface `ExpressionOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD